Saltar al contenido

Error de integración de Tomcat y Eclipse: "Se especificó una versión desconocida de Tomcat".

Solución:

Sugiero instalar Tomcat independiente en /usr/local en lugar de usar el de /usr/share directorio.

cd ~/Downloads
wget http://apache-mirror.rbc.ru/pub/apache/tomcat/tomcat-7/v7.0.52/bin/apache-tomcat-7.0.52.tar.gz
tar -xzf apache-tomcat-7.0.52.tar.gz
sudo mv apache-tomcat7.0.52 /usr/local/apache-tomcat7.0.52

Entonces usa /usr/local/apache-tomcat7.0.52.

Asegúrese de que la carpeta Tomcat a la que está apuntando contenga los siguientes archivos:

conf/catalina.policy
conf/server.xml
conf/web.xml
conf/context.xml
conf/tomcat-users.xml
conf/catalina.policy
conf/catalina.properties
lib/catalina.jar

mientras Eclipse los está buscando.

Servidor Tomcat v8.0 en localhost en Eclipse

Aquí hay un comando de Linux que puede ayudarlo a encontrar esa carpeta:

find /opt /usr '(' -name catalina.policy -o -name tomcat-users.xml -o -name catalina.properties ')' -exec sh -c 'dirname $(dirname {})' ';' | uniq

En Ubuntu, la aplicación no tiene permiso predeterminado para leer / editar todas las carpetas.

Me di cuenta de que los permisos para el directorio de instalación de TOMCAT no estaban configurados correctamente.

Lo cambié a 755 y funcionó.

sudo chmod -R 755 /opt/tomcat/apache-tomcat-9.0.24/
¡Haz clic para puntuar esta entrada!
(Votos: 0 Promedio: 0)



Utiliza Nuestro Buscador

Deja una respuesta

Tu dirección de correo electrónico no será publicada.